Package org.springframework.security.web.server.authentication.logout

# Interface ServerLogoutSuccessHandler

All Known Implementing Classes:
  `HttpStatusReturningServerLogoutSuccessHandler`, `RedirectServerLogoutSuccessHandler`

public interface ServerLogoutSuccessHandler
Strategy for when log out was successfully performed (typically after `ServerLogoutHandler` is invoked).

Since:
  5.0
See Also:
  - `ServerLogoutHandler`

## Method Summary

Modifier and Type
Method
Description
`reactor.core.publisher.Mono<Void>`
`onLogoutSuccess(WebFilterExchange exchange, org.springframework.security.core.Authentication authentication)`
Invoked after log out was successful

## Method Details

### onLogoutSuccess

reactor.core.publisher.Mono<Void> onLogoutSuccess(WebFilterExchange exchange, org.springframework.security.core.Authentication authentication)
Invoked after log out was successful

Parameters:
  `exchange` - the exchange
  `authentication` - the `Authentication`
Returns:
  a completion notification (success or error)